PKCE mandatory from 2026-09-14 Details
Employment Hero LogoEmployment Hero

Pay Category

This endpoint retrieves a paginated list of pay categories available within the specified organisation.

GET
https://api.employmenthero.com/api/v1/organisations/:organisation_id/pay_categories

Path Parameters

organisation_iduuidrequired

The ID of the organisation to retrieve

Query Parameters

page_indexnumber

Current page index

Default1
Min1
item_per_pagenumber

Number of items per page

Default20
Max100

Response Body

A JSON object with a data property that contains an array of pay category objects and pagination information. Each pay category object includes the unique identifier, name, and rate unit of the pay category.

dataobject
itemsobject[]
iduuid

Unique identifier for the pay category.

namestring

Name of the pay category.

rate_unitenum<string>

The unit of measurement used for this pay category.

page_indexnumber

Current page index

Default1
Min1
item_per_pagenumber

Number of items per page

Default20
Max100
total_itemsnumber

Total items

total_pagesnumber

Total pages

Example

curl -X GET \  "https://api.employmenthero.com/api/v1/organisations/:organisation_id/pay_categories" \  -H "Authorization: Bearer AUXJ3123xyrj123fdsjkl124aAJKQ"

Response

{  "data": {    "items": [      {        "id": "7daf1397-338c-4b91-9d46-44e6cd56297a",        "name": "Ordinary Time",        "rate_unit": "Hourly"      },      {        "id": "b992fc49-7e98-4743-b53b-51bec9cf4dc3",        "name": "Annual Leave",        "rate_unit": "Daily"      }    ],    "page_index": 1,    "item_per_page": 20,    "total_items": 2,    "total_pages": 1  }}